/* purgecss start ignore */

:root {
  --reach-dialog: 1;
}

@import url("https://fonts.googleapis.com/css?family=Montserrat:300,400,500,600,700");
@import url("https://fonts.googleapis.com/css?family=Open+Sans:300,400,500,600,700");
@import url("https://fonts.googleapis.com/css2?family=Roboto+Mono:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600;1,700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Fira+Code:wght@300;400;500;600;700&display=swap");

@import url(~@reach/accordion/styles.css);
@import url(~@reach/listbox/styles.css);
@import url(~@reach/menu-button/styles.css);
@import url(~@reach/tabs/styles.css);
@import url(~@reach/tooltip/styles.css);
@import url(~react-day-picker/lib/style.css);

@tailwind base;
@tailwind components;
@tailwind utilities;

body {
  @apply bg-gray-100;
  @apply text-gray-900;
}

html,
body,
#root {
  @apply h-full;
}

#root {
  @apply h-full flex flex-col justify-between;
}

/* Reach UI */

[data-reach-popover] {
  z-index: 90;
}

[data-reach-dialog-content] {
  padding: 0 !important;
  margin: 10vh auto;
  outline: 0;
}

[data-reach-dialog-overlay] {
  background: hsla(0, 0%, 0%, 0.6);
  z-index: 40;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  overflow: auto;
}

[data-reach-menu-item][data-selected] {
  @apply bg-gray-200 text-gray-900;
}

.searchListBox {
  @apply font-sans text-neutral-600 border-0 outline-none;
}
.searchListBox [data-reach-listbox-button] {
  border-width: 0;
  width: 100%;
}
.searchListBox [data-reach-listbox-button]:focus {
  box-shadow: none !important;
  white-space: nowrap;
}
.searchListBox [data-reach-listbox-arrow] {
  margin-left: auto;
}
.searchListBox [data-reach-listbox-arrow] {
  @apply transition-transform ease-in-out duration-150;
}
.searchListBox [data-reach-listbox-arrow][data-expanded] {
  transform: rotateX(180deg);
}

.searchListBox [data-reach-listbox-popover] {
  @apply shadow-lg rounded border border-gray-200;
  padding: 0px !important;
}
.searchListBox [data-reach-listbox-popover]:focus-within {
  outline: none !important;
}
.listBoxOptionsContainer {
  max-height: 250px;
  @apply overflow-y-auto;
}

.searchListBox [data-reach-listbox-option] {
  @apply text-sm p-2 cursor-pointer;
}
.searchListBox [data-reach-listbox-option]:nth-child(odd) {
  @apply bg-neutral-100;
}
.searchListBox [data-reach-listbox-option]:hover {
  background-color: #1bb0c4;
}
.searchListBox [aria-selected="true"] {
  background-color: #1bb0c4 !important;
}

[data-reach-tooltip] {
  border: none;
}

/* Animations */

@keyframes spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

.spin {
  animation: spin 0.5s linear infinite;
}

a[href]:not([tabindex="-1"]):focus,
area[href]:not([tabindex="-1"]):focus,
input:not([disabled]):not([tabindex="-1"]):focus,
select:not([disabled]):not([tabindex="-1"]):focus,
textarea:not([disabled]):not([tabindex="-1"]):focus,
button:not([disabled]):not([tabindex="-1"]):focus,
iframe:not([tabindex="-1"]):focus,
[tabindex]:not([tabindex="-1"]):focus,
[contentEditable="true"]:not([tabindex="-1"]):focus,
.focus {
  outline: none !important;
  box-shadow: rgba(66, 153, 225, 0.9) 0px 0px 0px 3px;
}

.no-focus {
  outline: none !important;
  box-shadow: none !important;
}

.cw-switch > input:checked ~ .cw-switch-bullet {
  transform: translateX(20px);
}

.cw-switch > input:checked ~ .cw-switch-bg {
  @apply bg-info-500;
}
.input-range
  .DayPicker-Day--selected:not(.DayPicker-Day--start):not(.DayPicker-Day--end):not(.DayPicker-Day--outside) {
  background-color: #f0f8ff !important;
  color: #4a90e2;
}
.input-range .DayPicker-Day {
  border-radius: 0 !important;
}
.input-range .DayPicker-Day--start {
  border-top-left-radius: 50% !important;
  border-bottom-left-radius: 50% !important;
}
.input-range .DayPicker-Day--end {
  border-top-right-radius: 50% !important;
  border-bottom-right-radius: 50% !important;
}
.input-range .DayPickerInput-Overlay {
  width: 580px;
  z-index: 31;
}
.input-range-to .DayPickerInput-Overlay {
  margin-left: -198px;
}

.input-range .DayPickerInput input {
  @apply p-2 border rounded-sm cursor-pointer;
}

.react-select__control {
  @apply border-gray-300 !important;
}
.errored .react-select__control {
  @apply border-danger-500 !important;
}
.react-select__indicator-separator {
  @apply bg-gray-300 !important;
}
.react-select__multi-value {
  @apply bg-gray-300 text-gray-800 !important;
}

.react-select--is-disabled .react-select__multi-value {
  @apply opacity-50 !important;
}
.react-select__input input {
  @apply shadow-none !important;
}

.Selectable
  .DayPicker-Day--selected:not(.DayPicker-Day--start):not(.DayPicker-Day--end):not(.DayPicker-Day--outside) {
  background-color: #f0f8ff !important;
  color: #4a90e2;
}
.Selectable .DayPicker-Day {
  border-radius: 0 !important;
}
.Selectable .DayPicker-Day--start {
  border-top-left-radius: 50% !important;
  border-bottom-left-radius: 50% !important;
}
.Selectable .DayPicker-Day--end {
  border-top-right-radius: 50% !important;
  border-bottom-right-radius: 50% !important;
}

.cw-Tabs {
  @apply flex flex-row bg-gray-200 rounded-full h-6 text-sm mb-2;
}

.cw-Tabs [data-selected] {
  background: linear-gradient(270deg, #11a3b6 0%, #27d0dc 100%);
  @apply text-white;
}
.cw-Tabs [data-selected]:hover {
  @apply text-white bg-primary-500;
}

.cw-Tabs [data-reach-tab] {
  @apply flex items-center justify-center w-full py-3 rounded-full font-display;
}
.cw-Tabs [data-reach-tab]:hover {
  @apply bg-primary-300;
}

.cw-Tabs.cw-Tabs--big {
  @apply h-10 text-xl;
}

[data-reach-accordion-item][data-state="open"] .cw-accordion-icon {
  display: block;
  transform: rotate(90deg);
}

[data-reach-accordion-item][data-state="collapsed"]
  .cw-accordion-collapsed-hide {
  display: none !important;
}

code {
  font-family: "Fira Code", monospace !important ;
}

.DayPicker
  .DayPicker-Day--selected:not(.DayPicker-Day--start):not(.DayPicker-Day--end):not(.DayPicker-Day--outside) {
  background-color: #e7edf3 !important;
  color: #15373a;
}

.DayPicker
  .DayPicker-Day--selected:not(.DayPicker-Day--disabled):not(.DayPicker-Day--outside) {
  background-color: #15cbe3 !important;
  color: #fff;
}

.DayPicker .DayPicker-Day {
  border-radius: 0 !important;
  width: 40px;
  height: 40px;
}

.DayPicker .DayPicker-Day--start {
  border-top-left-radius: 50% !important;
  border-bottom-left-radius: 50% !important;
  background-color: #15cbe3 !important;
  color: #fff;
}

.DayPicker .DayPicker-Day--end {
  border-top-right-radius: 50% !important;
  border-bottom-right-radius: 50% !important;
  background-color: #15cbe3 !important;
  color: #fff;
}
/* purgecss end ignore */
